PDA

View Full Version : Upgrade ExtJS 4.2.1 to ExtJS 5



asavchuk
11 Jul 2014, 10:36 AM
Hi guys,

I would like to upgrade my ExtJS 4 apps to a new ExtJS 5 version.

The problem I faced so far is that I cant have more than one extjs version per workspace, and it makes my upgrade very painful since I have about 20 apps. My goal was to update app by app, and eventually I will have all of them updated.

I have lets say workspace named "foo", and it contains all my extjs apps and "ext" folder with 4.2.1 version in it.
My .sencha/workspace/sencha.cfg point to ext.dir=${workspace.dir}/ext

So when I do sencha app build or create new app I get ext 4.2.1

Is it possible to have extjs 4 and extjs 5 in one workspace, and point each up what version to use? so I can do upgrade one by one and not all at ones.


P.S
I have already upgraded Sencha Cmd to latest Cmd 5 and rebuild extjs 4 apps based on Cmd 5.

Thanks,

asavchuk
14 Jul 2014, 3:57 PM
Any information?

Gary Schlosberg
16 Jul 2014, 7:19 AM
I don't believe it is possible to have more than one version of ExtJS in a workspace. A workspace is intended to contain a collection of applications that share resources. The general recommendation is to have a workspace for each version you are using.